CREATE TABLE hrsa_salary_sob_back_item  (
id                NUMBER(38,0) primary key   NOT NULL,
salary_sob_id     NUMBER(38,0) DEFAULT NULL NULL,
salary_item_id    NUMBER(38,0) DEFAULT NULL NULL,
salary_item_code  VARCHAR2(255) DEFAULT NULL NULL,
data_type         VARCHAR2(255) DEFAULT NULL NULL,
rounding_mode     NUMBER(38,0)  DEFAULT NULL NULL,
pattern           NUMBER(38,0)  DEFAULT NULL NULL,
value_type        NUMBER(38,0)  DEFAULT NULL NULL,
formula_id        NUMBER(38,0)  DEFAULT NULL NULL,
back_calc_type    NUMBER(38,0)  DEFAULT NULL NULL,
tenant_key        VARCHAR2(255) DEFAULT NULL NULL,
creator           NUMBER(38,0)  DEFAULT NULL NULL,
delete_type       NUMBER(38,0)  DEFAULT NULL NULL,
create_time       DATE DEFAULT sysdate,
update_time       DATE DEFAULT sysdate
)
/

alter table hrsa_salary_acct_record add back_calc_status NUMBER(38,0) null
/

alter table hrsa_salary_acct_result add origin_result_value VARCHAR2(1000) null
/

alter table hrsa_salary_acct_result_report add origin_result_value VARCHAR2(1000) null
/

alter table hrsa_salary_send add salary_acct_type NUMBER(38,0) null  
/
alter table hrsa_salary_send add send_status NUMBER(38,0) null
/

alter table hrsa_salary_send_info add salary_acct_type  NUMBER(38,0) null 
/

alter table hrsa_salary_template add replenish_name VARCHAR2(100) null  
/
alter table hrsa_salary_template add replenish_rule VARCHAR2(255) null 
/
alter table hrsa_salary_template add replenish_salary_item_setting CLOB null  
/
alter table hrsa_acct_result_temp add origin_result_value VARCHAR2(1000) null 
/